package com.cn.fdapfe.biz.domain;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cn.fdapfe.common.annotation.Excel;
import com.cn.fdapfe.common.core.domain.BaseEntity;

import javax.xml.soap.Text;

/**
 * 故障诊断算法功能验证对象 biz_fd_algorithm
 * 
 * @author Allen
 * @date 2025-03-07
 */
@Data
@TableName("biz_fd_algorithm")
public class FdAlgorithm extends BasePO
{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    @TableId
    /** 序号 */
    private String id;
    @TableField(value = "name")

    /** 故障诊断名称 */
    @Excel(name = "故障诊断名称")
    private String name;

    /** 模型id */
    @TableField(value = "model_id")
    @Excel(name = "模型id")
    private String modelId;


    /** 数据id */
    @TableField(value = "data_id")
    @Excel(name = "数据id")
    private String dataId;

    /** 实际标签 */
    @TableField(value = "return_data")
    @Excel(name = "实际标签")
    private String returnData;

    /** 测试标签 */
    @Excel(name = "测试标签")
    @TableField(value = "test_labels")
    private String testLabels;

        /** 开始时间 */
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @TableField(value = "start_time")
        @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
        private Date startTime;

        /** 结束时间 */
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @TableField(value = "end_time")
        @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
        private Date endTime;


    @TableField(exist = false)
    private String apiPath;

    @TableField(exist = false)
    private String outputPath;

    @TableField(exist = false)
    private List<String> verifyData;
}
